List active integrations
List all the active integrations created in the organization. Only integration metadata is returned, credentials field is returned as an empty object.
List all the active integrations created in the organization. Only integration metadata is returned, credentials field is returned as an empty object.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/integrations/active"[ { "_id": "string", "_environmentId": "string", "_organizationId": "string", "name": "string", "identifier": "string", "providerId": "string", "channel": "in_app", "kind": "delivery", "credentials": { "apiKey": "string", "user": "string", "secretKey": "string", "domain": "string", "password": "string", "host": "string", "port": "string", "secure": true, "region": "string", "accountSid": "string", "messageProfileId": "string", "token": "string", "from": "string", "senderName": "string", "projectName": "string", "applicationId": "string", "clientId": "string", "requireTls": true, "ignoreTls": true, "tlsOptions": {}, "baseUrl": "string", "webhookUrl": "string", "redirectUrl": "string", "hmac": true, "serviceAccount": "string", "ipPoolName": "string", "apiKeyRequestHeader": "string", "secretKeyRequestHeader": "string", "idPath": "string", "datePath": "string", "apiToken": "string", "authenticateByToken": true, "authenticationTokenKey": "string", "instanceId": "string", "alertUid": "string", "title": "string", "imageUrl": "string", "state": "string", "externalLink": "string", "channelId": "string", "phoneNumberIdentification": "string", "accessKey": "string", "appSid": "string", "senderId": "string", "tenantId": "string", "AppIOBaseUrl": "string", "signingSecret": "string", "outboundIntegrationId": "string", "useFromAddressOverride": true, "fromAddressOverride": "string", "emailSlugPrefix": "string", "externalEnvironmentId": "string", "externalVaultId": "string", "externalWorkspaceId": "string" }, "configurations": { "inboundWebhookEnabled": true, "inboundWebhookSigningKey": "string" }, "active": true, "deleted": true, "deletedAt": "string", "deletedBy": "string", "primary": true, "conditions": [ { "isNegated": true, "type": "BOOLEAN", "value": "AND", "children": [ { "field": "string", "value": "string", "operator": "LARGER", "on": "subscriber" } ] } ] }]Create an integration POST
Create an integration for the current environment the user is based on the API key provided. Each provider supports different credentials, check the provider documentation for more details. Only integration metadata is returned, credentials field is returned as an empty object.
Delete an integration DELETE
Delete an integration by its unique key identifier **integrationId**. This action is irreversible. Only integration metadata is returned, credentials field is returned as empty object.